io.vertx.core.http

## Interface HttpServerRequestStream

- All Superinterfaces:
    ReadStream<HttpServerRequest>, StreamBase

      public interface HttpServerRequestStream
      extends ReadStream<HttpServerRequest>

  A `ReadStream` of `HttpServerRequest`, used for notifying http request to a `HttpServer`.
  Author:
    Julien Viet

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpServerRequestStream` | `endHandler(Handler<Void> endHandler)` Set an end handler.
    `HttpServerRequestStream` | `exceptionHandler(Handler<Throwable> handler)` Set an exception handler on the read stream.
    `HttpServerRequestStream` | `handler(Handler<HttpServerRequest> handler)` Set a data handler.
    `HttpServerRequestStream` | `pause()` Pause the `ReadSupport`.
    `HttpServerRequestStream` | `resume()` Resume reading.

- - ### Method Detail

    - #### exceptionHandler

          HttpServerRequestStream exceptionHandler(Handler<Throwable> handler)

      Description copied from interface: `ReadStream`
      Set an exception handler on the read stream.
      Specified by:
        `exceptionHandler` in interface `ReadStream<HttpServerRequest>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### handler

          HttpServerRequestStream handler(Handler<HttpServerRequest> handler)

      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `ReadStream<HttpServerRequest>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          HttpServerRequestStream pause()

      Description copied from interface: `ReadStream`
      Pause the `ReadSupport`. While it's paused, no data will be sent to the `dataHandler`
      Specified by:
        `pause` in interface `ReadStream<HttpServerRequest>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          HttpServerRequestStream resume()

      Description copied from interface: `ReadStream`
      Resume reading. If the `ReadSupport` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `ReadStream<HttpServerRequest>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          HttpServerRequestStream endHandler(Handler<Void> endHandler)

      Description copied from interface: `ReadStream`
      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Specified by:
        `endHandler` in interface `ReadStream<HttpServerRequest>`
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2016. All rights reserved.